DeployedApiCallSummaryData
Represents aggregated API call metrics data over a specific time interval.
type DeployedApiCallSummaryData {
requestTsIntervalStart: DateTime!
requestTsIntervalEnd: DateTime!
requestTsMax: DateTime!
requestTsMin: DateTime!
deployedApi: DeployedApi
account: Account!
gateway: Gateway
atom: Atom
status: Int!
client: DeployedApiClient!
user: DeployedApiUser
authType: DeployedApiCallAuthType!
requestUrl: String
method: HttpMethod
responseDuration: Metric
backendDuration: Metric
bytesReceived: Metric
bytesSent: Metric
requestCount: Long
process: Process
statusCategory: StatusCategory
environment: Environment
}
Fields
DeployedApiCallSummaryData.requestTsIntervalStart ● DateTime! non-null scalar platform {#request-ts-interval-start}
The date and time of the start of the interval.
DeployedApiCallSummaryData.requestTsIntervalEnd ● DateTime! non-null scalar platform {#request-ts-interval-end}
The date and time of the end of the interval.
DeployedApiCallSummaryData.requestTsMax ● DateTime! non-null scalar platform {#request-ts-max}
The maximum date and time of any API request in the interval.
DeployedApiCallSummaryData.requestTsMin ● DateTime! non-null scalar platform {#request-ts-min}
The minimum date and time of any API request in the interval.
DeployedApiCallSummaryData.deployedApi ● DeployedApi object platform {#deployed-api}
The API deployed to a specific environment and the various information associated with it.
DeployedApiCallSummaryData.account ● Account! non-null object platform {#account}
The Account that owns the Deployed API.
DeployedApiCallSummaryData.gateway ● Gateway object platform {#gateway}
The Gateway details (Name, Gateway Status, Environment, API Execution Settings and Forward proxy).
DeployedApiCallSummaryData.atom ● Atom object platform {#atom}
The Atom details (Name, Auth type, Webservice type, Status, etc).
DeployedApiCallSummaryData.status ● Int! non-null scalar miscellaneous {#status}
The HTTP response code of the API response.
DeployedApiCallSummaryData.client ● DeployedApiClient! non-null object apimetrics {#client}
The details of the client that made the API request (remoteAddress, userAgent, subscription).
DeployedApiCallSummaryData.user ● DeployedApiUser object apimetrics {#user}
The User that executed the API request.
DeployedApiCallSummaryData.authType ● DeployedApiCallAuthType! non-null enum apimetrics {#auth-type}
The Deployed API's Authentication Type (the authentication type that the account uses when communicating with the Atom, Molecule, Atom Cloud Or Gateway).
DeployedApiCallSummaryData.requestUrl ● String scalar miscellaneous {#request-url}
The fully qualified absolute URL.
DeployedApiCallSummaryData.method ● HttpMethod enum platform {#method}
The HTTP method of the API request.
DeployedApiCallSummaryData.responseDuration ● Metric object apimetrics {#response-duration}
The number of milliseconds from the time the request was received until the response was sent (summarized by Metric field - count, total, max, min, mean, standard deviation, etc).
DeployedApiCallSummaryData.backendDuration ● Metric object apimetrics {#backend-duration}
(For API Gateway Requests) The number of milliseconds from the time the Atom received the request from the API Gateway until the Atom sent the response back to the API Gateway (summarized by Metric field - count, total, max, min, mean, standard deviation, etc).
DeployedApiCallSummaryData.bytesReceived ● Metric object apimetrics {#bytes-received}
The number of bytes received from request body (summarized by Metric field - count, total, max, min, mean, standard deviation etc).
DeployedApiCallSummaryData.bytesSent ● Metric object apimetrics {#bytes-sent}
The number of bytes sent from response (summarized by Metric field - count, total, max, min, mean, standard deviation etc).
DeployedApiCallSummaryData.requestCount ● Long scalar platform {#request-count}
The count of API requests.
DeployedApiCallSummaryData.process ● Process object catalog-service {#process}
The Integration Process that executed as a result of this API request.
DeployedApiCallSummaryData.statusCategory ● StatusCategory enum apimetrics {#status-category}
The categorized status of the API response.
DeployedApiCallSummaryData.environment ● Environment object platform {#environment}
Environment ID.
Member Of
DeployedApiCallSummary object